Package com.collabnet.ce.soap60.webservices.rbac

# Class RoleSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.rbac.RoleSoapRow

public class RoleSoapRow extends Object
A list of Roles.
Change History
Release: 6.1

- Added created in project ID of the role.
- Added type of the role.
- Added flag for prevent inheritance property of the role.
- Added requestable flag for the role.
- Added status of the role.

Since:
  4.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoleSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreatedInProjectId()`
  Returns 'createdInProjectId'.
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getId()`
  Returns 'id'.
  `boolean`
  `getPreventInheritance()`
  Returns 'preventInheritance'.
  `boolean`
  `getRequestable()`
  Returns 'requestable'.
  `String`
  `getRoleType()`
  Returns 'roleType'.
  `String`
  `getStatus()`
  Returns 'status'.
  `String`
  `getTitle()`
  Returns 'title'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setCreatedInProjectId(String createdInProjectId)`
  Sets 'createdInProjectId'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setPreventInheritance(boolean preventInheritance)`
  Sets 'preventInheritance'.
  `void`
  `setRequestable(boolean requestable)`
  Sets 'requestable'.
  `void`
  `setRoleType(String roleType)`
  Sets 'roleType'.
  `void`
  `setStatus(String status)`
  Sets 'status'.
  `void`
  `setTitle(String title)`
  Sets 'title'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RoleSoapRow

    public RoleSoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'. The id of the role
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'. The id of the role
    Parameters:
      `id` - Value of 'id'.

  - ### getTitle

    public String getTitle()
    Returns 'title'. The title of the role.
    Returns:
      Value of 'title'.

  - ### setTitle

    public void setTitle(String title)
    Sets 'title'. The title of the role.
    Parameters:
      `title` - Value of 'title'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. A verbose description of the role.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. A verbose description of the role.
    Parameters:
      `description` - Value of 'description'.

  - ### getCreatedInProjectId

    public String getCreatedInProjectId()
    Returns 'createdInProjectId'. The id of the project where the role is created
    Returns:
      Value of 'createdInProjectId'.

  - ### setCreatedInProjectId

    public void setCreatedInProjectId(String createdInProjectId)
    Sets 'createdInProjectId'. The id of the project where the role is created
    Parameters:
      `createdInProjectId` - Value of 'createdInProjectId'.

  - ### getRoleType

    public String getRoleType()
    Returns 'roleType'. The type of the role, can be "Project", "Site" or "Global".
    Returns:
      Value of 'roleType'.

  - ### setRoleType

    public void setRoleType(String roleType)
    Sets 'roleType'. The type of the role, can be "Project", "Site" or "Global".
    Parameters:
      `roleType` - Value of 'roleType'.

  - ### getPreventInheritance

    public boolean getPreventInheritance()
    Returns 'preventInheritance'. Whether the role's permission is prevented from applying to private subprojects.
    Returns:
      Value of 'preventInheritance'.

  - ### setPreventInheritance

    public void setPreventInheritance(boolean preventInheritance)
    Sets 'preventInheritance'. Whether the role's permission is prevented from applying to private subprojects.
    Parameters:
      `preventInheritance` - Value of 'preventInheritance'.

  - ### getRequestable

    public boolean getRequestable()
    Returns 'requestable'. Flag that indicates if the role can be requested to be granted
    Returns:
      Value of 'requestable'.

  - ### setRequestable

    public void setRequestable(boolean requestable)
    Sets 'requestable'. Flag that indicates if the role can be requested to be granted
    Parameters:
      `requestable` - Value of 'requestable'.

  - ### getStatus

    public String getStatus()
    Returns 'status'. The status of the role, "A"ctive or "U"ser class
    Returns:
      Value of 'status'.

  - ### setStatus

    public void setStatus(String status)
    Sets 'status'. The status of the role, "A"ctive or "U"ser class
    Parameters:
      `status` - Value of 'status'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)